Subject: Re: bug#14418: 24.3; TAB key seems don't work fine with GNU Makefile

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 May 2013 22:38:35 +0300

> From: Orlando Iovino <[email-masked]>
> Date: Fri, 17 May 2013 21:20:39 +0200
> 
> When I compile with *Tools > Compile ...* and then I press TAB for
> auto completation of a target name, in the minibuffer appears:
> 
> apply: Wrong type argument: stringp, nil

I cannot reproduce this.  Do you see this in "emacs -Q"?  If so,
please tell what is the major mode in the current buffer when you
invoke this command.

If you don't see this in "emacs -Q", there's some customization in
your .emacs init file that causes this; look for "compile" or
"compilation" in your .emacs for possible culprits.